﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="OnlineShopModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Customer">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="CustomerCode" Type="int" />
          <Property Name="FirstName" Type="nvarchar" MaxLength="60" />
          <Property Name="LastName" Type="nvarchar" MaxLength="60" Nullable="false" />
          <Property Name="Adrs" Type="nvarchar(max)" />
          <Property Name="City" Type="nvarchar" MaxLength="15" />
          <Property Name="Region" Type="nvarchar" MaxLength="15" />
          <Property Name="Country" Type="nvarchar" MaxLength="15" />
          <Property Name="PostalCode" Type="nvarchar" MaxLength="15" />
          <Property Name="Phone" Type="nvarchar" MaxLength="24" />
          <Property Name="Email" Type="nvarchar" MaxLength="40" />
        </EntityType>
        <EntityType Name="OrderDetails">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="UnitPrice" Type="money" Nullable="false" />
          <Property Name="Discount" Type="decimal" Precision="18" Scale="2" Nullable="false" />
          <Property Name="TaxRate" Type="decimal" Precision="18" Scale="2" Nullable="false" />
          <Property Name="Quantity" Type="int" Nullable="false" />
          <Property Name="Product_Ref" Type="int" Nullable="false" />
          <Property Name="OrderMaster_Ref" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="OrderMaster">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="OrderCode" Type="int" Nullable="false" />
          <Property Name="OrderDate" Type="datetime" Nullable="false" />
          <Property Name="Customer_Ref" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="Product">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="ProductCode" Type="int" Nullable="false" />
          <Property Name="ProductName" Type="nvarchar" MaxLength="60" Nullable="false" />
          <Property Name="ProductDescription" Type="nvarchar" MaxLength="260" />
          <Property Name="UnitPrice" Type="money" />
          <Property Name="Category_Ref" Type="int" />
        </EntityType>
        <EntityType Name="ProductCategory">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="CategoryCode" Type="int" Nullable="false" />
          <Property Name="CategoryName" Type="nvarchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <Association Name="FK__OrderDeta__Order__49C3F6B7">
          <End Role="OrderMaster" Type="Self.OrderMaster" Multiplicity="1" />
          <End Role="OrderDetails" Type="Self.OrderDetails" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="OrderMaster">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="OrderDetails">
              <PropertyRef Name="OrderMaster_Ref" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Product__Categor__276EDEB3">
          <End Role="ProductCategory" Type="Self.ProductCategory" Multiplicity="0..1" />
          <End Role="Product" Type="Self.Product" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="ProductCategory">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Product">
              <PropertyRef Name="Category_Ref" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_OrderDetails_Product">
          <End Role="Product" Type="Self.Product" Multiplicity="1" />
          <End Role="OrderDetails" Type="Self.OrderDetails" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Product">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="OrderDetails">
              <PropertyRef Name="Product_Ref" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_OrderMaster_Customer">
          <End Role="Customer" Type="Self.Customer" Multiplicity="1" />
          <End Role="OrderMaster" Type="Self.OrderMaster" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Customer">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="OrderMaster">
              <PropertyRef Name="Customer_Ref" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Function Name="usp_Customer_Select" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo" />
        <Function Name="usp_OrderMaster_Select" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo" />
        <Function Name="usp_Product_Select" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo" />
        <Function Name="usp_ProductCategory_Select" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo" />
        <EntityContainer Name="OnlineShopModelStoreContainer">
          <EntitySet Name="Customer" EntityType="Self.Customer" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="OrderDetails" EntityType="Self.OrderDetails" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="OrderMaster" EntityType="Self.OrderMaster" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="Product" EntityType="Self.Product" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="ProductCategory" EntityType="Self.ProductCategory" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK__OrderDeta__Order__49C3F6B7" Association="Self.FK__OrderDeta__Order__49C3F6B7">
            <End Role="OrderMaster" EntitySet="OrderMaster" />
            <End Role="OrderDetails" EntitySet="OrderDetails" />
          </AssociationSet>
          <AssociationSet Name="FK__Product__Categor__276EDEB3" Association="Self.FK__Product__Categor__276EDEB3">
            <End Role="ProductCategory" EntitySet="ProductCategory" />
            <End Role="Product" EntitySet="Product" />
          </AssociationSet>
          <AssociationSet Name="FK_OrderDetails_Product" Association="Self.FK_OrderDetails_Product">
            <End Role="Product" EntitySet="Product" />
            <End Role="OrderDetails" EntitySet="OrderDetails" />
          </AssociationSet>
          <AssociationSet Name="FK_OrderMaster_Customer" Association="Self.FK_OrderMaster_Customer">
            <End Role="Customer" EntitySet="Customer" />
            <End Role="OrderMaster" EntitySet="OrderMaster" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="OnlineShopModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Customer">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="CustomerCode" Type="Int32" />
          <Property Name="FirstName" Type="String" MaxLength="60" FixedLength="false" Unicode="true" />
          <Property Name="LastName" Type="String" MaxLength="60" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Adrs" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="City" Type="String" MaxLength="15" FixedLength="false" Unicode="true" />
          <Property Name="Region" Type="String" MaxLength="15" FixedLength="false" Unicode="true" />
          <Property Name="Country" Type="String" MaxLength="15" FixedLength="false" Unicode="true" />
          <Property Name="PostalCode" Type="String" MaxLength="15" FixedLength="false" Unicode="true" />
          <Property Name="Phone" Type="String" MaxLength="24" FixedLength="false" Unicode="true" />
          <Property Name="Email" Type="String" MaxLength="40" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="OrderMaster" Relationship="Self.FK_OrderMaster_Customer" FromRole="Customer" ToRole="OrderMaster" />
        </EntityType>
        <EntityType Name="OrderDetails">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="UnitPrice" Type="Decimal" Precision="19" Scale="4" Nullable="false" />
          <Property Name="Discount" Type="Decimal" Precision="18" Scale="2" Nullable="false" />
          <Property Name="TaxRate" Type="Decimal" Precision="18" Scale="2" Nullable="false" />
          <Property Name="Quantity" Type="Int32" Nullable="false" />
          <Property Name="Product_Ref" Type="Int32" Nullable="false" />
          <Property Name="OrderMaster_Ref" Type="Int32" Nullable="false" />
          <NavigationProperty Name="OrderMaster" Relationship="Self.FK__OrderDeta__Order__49C3F6B7" FromRole="OrderDetails" ToRole="OrderMaster" />
          <NavigationProperty Name="Product" Relationship="OnlineShopModel.FK_OrderDetails_Product" FromRole="OrderDetails" ToRole="Product" />
        </EntityType>
        <EntityType Name="OrderMaster">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="OrderCode" Type="Int32" Nullable="false" />
          <Property Name="OrderDate" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="Customer_Ref" Type="Int32" Nullable="false" />
          <NavigationProperty Name="Customer" Relationship="Self.FK_OrderMaster_Customer" FromRole="OrderMaster" ToRole="Customer" />
          <NavigationProperty Name="OrderDetails" Relationship="Self.FK__OrderDeta__Order__49C3F6B7" FromRole="OrderMaster" ToRole="OrderDetails" />
        </EntityType>
        <EntityType Name="Product">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="ProductCode" Type="Int32" Nullable="false" />
          <Property Name="ProductName" Type="String" MaxLength="60" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="ProductDescription" Type="String" MaxLength="260" FixedLength="false" Unicode="true" />
          <Property Name="UnitPrice" Type="Decimal" Precision="19" Scale="4" />
          <Property Name="Category_Ref" Type="Int32" />
          <NavigationProperty Name="ProductCategory" Relationship="Self.FK__Product__Categor__276EDEB3" FromRole="Product" ToRole="ProductCategory" />
          <NavigationProperty Name="OrderDetails" Relationship="OnlineShopModel.FK_OrderDetails_Product" FromRole="Product" ToRole="OrderDetails" />
        </EntityType>
        <EntityType Name="ProductCategory">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="CategoryCode" Type="Int32" Nullable="false" />
          <Property Name="CategoryName" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <NavigationProperty Name="Product" Relationship="Self.FK__Product__Categor__276EDEB3" FromRole="ProductCategory" ToRole="Product" />
        </EntityType>
        <Association Name="FK_OrderMaster_Customer">
          <End Role="Customer" Type="Self.Customer" Multiplicity="1" />
          <End Role="OrderMaster" Type="Self.OrderMaster" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Customer">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="OrderMaster">
              <PropertyRef Name="Customer_Ref" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__OrderDeta__Order__49C3F6B7">
          <End Role="OrderMaster" Type="Self.OrderMaster" Multiplicity="1" />
          <End Role="OrderDetails" Type="Self.OrderDetails" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="OrderMaster">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="OrderDetails">
              <PropertyRef Name="OrderMaster_Ref" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK__Product__Categor__276EDEB3">
          <End Role="ProductCategory" Type="Self.ProductCategory" Multiplicity="0..1" />
          <End Role="Product" Type="Self.Product" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="ProductCategory">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="Product">
              <PropertyRef Name="Category_Ref" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="OnlineShopEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Customer" EntityType="Self.Customer" />
          <EntitySet Name="OrderDetails" EntityType="Self.OrderDetails" />
          <EntitySet Name="OrderMaster" EntityType="Self.OrderMaster" />
          <EntitySet Name="Product" EntityType="Self.Product" />
          <EntitySet Name="ProductCategory" EntityType="Self.ProductCategory" />
          <AssociationSet Name="FK_OrderMaster_Customer" Association="Self.FK_OrderMaster_Customer">
            <End Role="Customer" EntitySet="Customer" />
            <End Role="OrderMaster" EntitySet="OrderMaster" />
          </AssociationSet>
          <AssociationSet Name="FK__OrderDeta__Order__49C3F6B7" Association="Self.FK__OrderDeta__Order__49C3F6B7">
            <End Role="OrderMaster" EntitySet="OrderMaster" />
            <End Role="OrderDetails" EntitySet="OrderDetails" />
          </AssociationSet>
          <AssociationSet Name="FK__Product__Categor__276EDEB3" Association="Self.FK__Product__Categor__276EDEB3">
            <End Role="ProductCategory" EntitySet="ProductCategory" />
            <End Role="Product" EntitySet="Product" />
          </AssociationSet>
          <FunctionImport Name="usp_Customer_Select" ReturnType="Collection(OnlineShopModel.usp_Customer_Select_Result)" />
          <FunctionImport Name="usp_OrderMaster_Select" ReturnType="Collection(OnlineShopModel.usp_OrderMaster_Select_Result)" />
          <FunctionImport Name="usp_Product_Select" ReturnType="Collection(OnlineShopModel.usp_Product_Select_Result)" />
          <FunctionImport Name="usp_ProductCategory_Select" ReturnType="Collection(OnlineShopModel.usp_ProductCategory_Select_Result)" />
          <AssociationSet Name="FK_OrderDetails_Product" Association="OnlineShopModel.FK_OrderDetails_Product">
            <End Role="Product" EntitySet="Product" />
            <End Role="OrderDetails" EntitySet="OrderDetails" />
          </AssociationSet>
        </EntityContainer>
        <ComplexType Name="usp_Customer_Select_Result">
          <Property Type="Int32" Name="Id" Nullable="false" />
          <Property Type="Int32" Name="CustomerCode" Nullable="true" />
          <Property Type="String" Name="FirstName" Nullable="true" MaxLength="60" />
          <Property Type="String" Name="LastName" Nullable="false" MaxLength="60" />
          <Property Type="String" Name="Adrs" Nullable="true" />
          <Property Type="String" Name="City" Nullable="true" MaxLength="15" />
          <Property Type="String" Name="Region" Nullable="true" MaxLength="15" />
          <Property Type="String" Name="Country" Nullable="true" MaxLength="15" />
          <Property Type="String" Name="PostalCode" Nullable="true" MaxLength="15" />
          <Property Type="String" Name="Phone" Nullable="true" MaxLength="24" />
          <Property Type="String" Name="Email" Nullable="true" MaxLength="40" />
        </ComplexType>
        <ComplexType Name="usp_OrderMaster_Select_Result">
          <Property Type="Int32" Name="Id" Nullable="false" />
          <Property Type="Int32" Name="OrderCode" Nullable="false" />
          <Property Type="DateTime" Name="OrderDate" Nullable="false" Precision="23" />
          <Property Type="Int32" Name="Customer_Ref" Nullable="false" />
          <Property Type="Int32" Name="CustomerCode" Nullable="true" />
        </ComplexType>
        <ComplexType Name="usp_Product_Select_Result">
          <Property Type="Int32" Name="Id" Nullable="false" />
          <Property Type="Int32" Name="ProductCode" Nullable="false" />
          <Property Type="String" Name="ProductName" Nullable="false" MaxLength="60" />
          <Property Type="String" Name="ProductDescription" Nullable="true" MaxLength="260" />
          <Property Type="Decimal" Name="UnitPrice" Nullable="true" Precision="19" />
          <Property Type="Int32" Name="CategoryCode" Nullable="false" />
        </ComplexType>
        <ComplexType Name="usp_ProductCategory_Select_Result">
          <Property Type="Int32" Name="Id" Nullable="false" />
          <Property Type="Int32" Name="CategoryCode" Nullable="false" />
          <Property Type="String" Name="CategoryName" Nullable="false" MaxLength="50" />
        </ComplexType>
        <Association Name="FK_OrderDetails_Product">
          <End Type="OnlineShopModel.Product" Role="Product" Multiplicity="1" />
          <End Type="OnlineShopModel.OrderDetails" Role="OrderDetails" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Product">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="OrderDetails">
              <PropertyRef Name="Product_Ref" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="OnlineShopModelStoreContainer" CdmEntityContainer="OnlineShopEntities">
          <EntitySetMapping Name="Customer">
            <EntityTypeMapping TypeName="OnlineShopModel.Customer">
              <MappingFragment StoreEntitySet="Customer">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="CustomerCode" ColumnName="CustomerCode" />
                <ScalarProperty Name="FirstName" ColumnName="FirstName" />
                <ScalarProperty Name="LastName" ColumnName="LastName" />
                <ScalarProperty Name="Adrs" ColumnName="Adrs" />
                <ScalarProperty Name="City" ColumnName="City" />
                <ScalarProperty Name="Region" ColumnName="Region" />
                <ScalarProperty Name="Country" ColumnName="Country" />
                <ScalarProperty Name="PostalCode" ColumnName="PostalCode" />
                <ScalarProperty Name="Phone" ColumnName="Phone" />
                <ScalarProperty Name="Email" ColumnName="Email" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="OrderDetails">
            <EntityTypeMapping TypeName="OnlineShopModel.OrderDetails">
              <MappingFragment StoreEntitySet="OrderDetails">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="UnitPrice" ColumnName="UnitPrice" />
                <ScalarProperty Name="Discount" ColumnName="Discount" />
                <ScalarProperty Name="TaxRate" ColumnName="TaxRate" />
                <ScalarProperty Name="Quantity" ColumnName="Quantity" />
                <ScalarProperty Name="Product_Ref" ColumnName="Product_Ref" />
                <ScalarProperty Name="OrderMaster_Ref" ColumnName="OrderMaster_Ref" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="OrderMaster">
            <EntityTypeMapping TypeName="OnlineShopModel.OrderMaster">
              <MappingFragment StoreEntitySet="OrderMaster">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="OrderCode" ColumnName="OrderCode" />
                <ScalarProperty Name="OrderDate" ColumnName="OrderDate" />
                <ScalarProperty Name="Customer_Ref" ColumnName="Customer_Ref" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="Product">
            <EntityTypeMapping TypeName="OnlineShopModel.Product">
              <MappingFragment StoreEntitySet="Product">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="ProductCode" ColumnName="ProductCode" />
                <ScalarProperty Name="ProductName" ColumnName="ProductName" />
                <ScalarProperty Name="ProductDescription" ColumnName="ProductDescription" />
                <ScalarProperty Name="UnitPrice" ColumnName="UnitPrice" />
                <ScalarProperty Name="Category_Ref" ColumnName="Category_Ref" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="ProductCategory">
            <EntityTypeMapping TypeName="OnlineShopModel.ProductCategory">
              <MappingFragment StoreEntitySet="ProductCategory">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="CategoryCode" ColumnName="CategoryCode" />
                <ScalarProperty Name="CategoryName" ColumnName="CategoryName" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <FunctionImportMapping FunctionImportName="usp_Customer_Select" FunctionName="OnlineShopModel.Store.usp_Customer_Select">
            <ResultMapping>
              <ComplexTypeMapping TypeName="OnlineShopModel.usp_Customer_Select_Result">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="CustomerCode" ColumnName="CustomerCode" />
                <ScalarProperty Name="FirstName" ColumnName="FirstName" />
                <ScalarProperty Name="LastName" ColumnName="LastName" />
                <ScalarProperty Name="Adrs" ColumnName="Adrs" />
                <ScalarProperty Name="City" ColumnName="City" />
                <ScalarProperty Name="Region" ColumnName="Region" />
                <ScalarProperty Name="Country" ColumnName="Country" />
                <ScalarProperty Name="PostalCode" ColumnName="PostalCode" />
                <ScalarProperty Name="Phone" ColumnName="Phone" />
                <ScalarProperty Name="Email" ColumnName="Email" />
              </ComplexTypeMapping>
            </ResultMapping>
          </FunctionImportMapping>
          <FunctionImportMapping FunctionImportName="usp_OrderMaster_Select" FunctionName="OnlineShopModel.Store.usp_OrderMaster_Select">
            <ResultMapping>
              <ComplexTypeMapping TypeName="OnlineShopModel.usp_OrderMaster_Select_Result">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="OrderCode" ColumnName="OrderCode" />
                <ScalarProperty Name="OrderDate" ColumnName="OrderDate" />
                <ScalarProperty Name="Customer_Ref" ColumnName="Customer_Ref" />
                <ScalarProperty Name="CustomerCode" ColumnName="CustomerCode" />
              </ComplexTypeMapping>
            </ResultMapping>
          </FunctionImportMapping>
          <FunctionImportMapping FunctionImportName="usp_Product_Select" FunctionName="OnlineShopModel.Store.usp_Product_Select">
            <ResultMapping>
              <ComplexTypeMapping TypeName="OnlineShopModel.usp_Product_Select_Result">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="ProductCode" ColumnName="ProductCode" />
                <ScalarProperty Name="ProductName" ColumnName="ProductName" />
                <ScalarProperty Name="ProductDescription" ColumnName="ProductDescription" />
                <ScalarProperty Name="UnitPrice" ColumnName="UnitPrice" />
                <ScalarProperty Name="CategoryCode" ColumnName="CategoryCode" />
              </ComplexTypeMapping>
            </ResultMapping>
          </FunctionImportMapping>
          <FunctionImportMapping FunctionImportName="usp_ProductCategory_Select" FunctionName="OnlineShopModel.Store.usp_ProductCategory_Select">
            <ResultMapping>
              <ComplexTypeMapping TypeName="OnlineShopModel.usp_ProductCategory_Select_Result">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="CategoryCode" ColumnName="CategoryCode" />
                <ScalarProperty Name="CategoryName" ColumnName="CategoryName" />
              </ComplexTypeMapping>
            </ResultMapping>
          </FunctionImportMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>